Bug 61676 - Skipping media test reboots system.
Skipping media test reboots system.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
Blocks: 61590
  Show dependency treegraph
Reported: 2002-03-22 15:55 EST by Wendy Hung
Modified: 2007-04-18 12:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 17:54:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wendy Hung 2002-03-22 15:55:18 EST
Description of problem:
Installation crashes and system reboots after skipping media test. F3 console 
screen says "Module to insert tg3" before reboot occurs.
System has an onboard Broadcom 5703A1 chipset.

Workaround is to use "linux noprobe" install parameter.

How reproducible:

Steps to Reproduce:
1.  Boot from Beta3 CD 1.
2.  At Media test screen, select "Skip".

Actual Results:  System reboots.

Expected Results:  Installation proceeds.
Comment 1 Jeremy Katz 2002-03-24 01:27:22 EST

*** This bug has been marked as a duplicate of 61651 ***
Comment 2 Wendy Hung 2002-03-25 14:36:24 EST
Are you sure this is a dup?
Bugzilla 61651 concerns selecting individual packages.  This bug doesn't get 
that far.
Comment 3 Jeremy Katz 2002-03-27 12:58:08 EST
Oops, I obviously mis-duped there.  Does it reboot if you don't skip the media
check?  I find it incredibly hard to believe that just skipping the media check
causes it without any other correlating factors
Comment 4 Wendy Hung 2002-03-27 13:01:02 EST
Also found that after performing a media check, the system will reboot.
Comment 5 Jeremy Katz 2002-03-27 14:07:26 EST
Aha, sounds like a possible bug with the tg3 driver -- Arjan, Dave?
Comment 6 Michael K. Johnson 2002-03-28 08:09:52 EST
Hmm, it was reported working in Bug #60010 -- I wonder what happened?
The version that was reported working in #60010 was .94, and we now have
.97; I wonder if there was a regression somewhere?
Comment 7 Leah R. M. Cunningham 2002-03-28 17:51:16 EST
Okay, I just went to the lab to verify this one since I said it was working
before in the other bug.  It looks like this one can be closed, as it worked
fine.  I could load the driver manually, or with the installer (w/beta3) and
there was no reboot or hang whatsoever.  I brought the interface up with a address and there was no problem doing that either, I was not able to
do any stress testing, but it seems to be fine.

What it seems like happened is that the lab was finding this problem on one of
the servers that we know to have a bad Broadcom chipset.  I made sure I was
using the correct chipset for my testing, and there were no problems.  I could
reproduce this problem on a machine with the incorrect chipset (hang, not
reboot, but close enough), so I think they just used the wrong machine by

I also tested with the 0.97 revision of the tg3 driver, which also seemed to
work happily (on the machine with the good chipset).  Let me know if there are
any other questions.
Comment 8 Michael K. Johnson 2002-03-28 19:36:23 EST
Thanks for the quick testing job, Leah!  We really appreciate it.
Comment 9 Leah R. M. Cunningham 2002-04-01 12:41:42 EST
Np, that's why they pay me the big bucks ;)

Note You need to log in before you can comment on or make changes to this bug.